ecasound (2.9.3-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:08:55 +0000

ecasound (2.9.3-4build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:34:44 +0000

ecasound (2.9.3-4) unstable; urgency=medium

  * Team upload.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Try harder to detect lilv (Closes: #993637)
    * Add patch to build with C++11 (required for lilv)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Nov 2021 09:19:35 +0100

ecasound (2.9.3-3) unstable; urgency=medium

  * Team upload.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add patch to fix string literal formats.
    Thanks to Sergei Trofimovich <slyich@gmail.com> (Closes: #997161)
  * Drop DVI and PS files from ecasound-doc
  * Fix more typos
  * Mark some files as not-installed
  * Add an autopkgtest
  * Have ecasound-el depend only on emacsen-common
  * Split out arch-indep B-Ds
  * Fix capitalisation in d/control
  * Use https:// for upstream
  * Add myself to copyright holders
  * Apply 'wrap-and-sort -ast'
  * Add salsa-ci configuration
  * Update d/watch
  * Bump dh-compat to 13
  * Bump standards version to 4.6.0

  [ Sebastian Ramacher ]
  * Remove old TODO

  [ Debian Janitor ]
  * Apply multi-arch hints. + ecasound-doc: Add Multi-Arch: foreign.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 29 Nov 2021 17:01:57 +0100

ecasound (2.9.3-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * debian/control:
    - Bump Standards-Version
    - Remove obsolete Breaks+Replaces+Pre-Depends
  * debian/rules:
    - Remove unnecessary --with autoreconf
    - Use architecture.mk
    - Fix permissions of python files
  * debian/patches: Fix shebang of tests
  * debian/: Use the installed manpages

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 12 Feb 2020 23:32:13 +0100

ecasound (2.9.3-1) experimental; urgency=medium

  [ Stuart Prescott ]
  * Team upload.
  * New upstream version.
  * Stop using Python 2 (Closes: #936463)
    - drop Python 2 module package.
    - add Python 3 module package.
  * Update Standards-Version to 4.4.1 (no changes required).
  * Update to debhelper-compat 12.
  * Add Rules-Requires-Root: no.
  * Don't run tests in series to prevent failures.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Update Vcs-* fields.
  * Change priority from extra to optional.

 -- Stuart Prescott <stuart@debian.org>  Thu, 16 Jan 2020 01:15:41 +1100

ecasound (2.9.1-7) unstable; urgency=medium

  * Upload to unstable
  * Add Breaks+Replaces for old libecasoundc1 (Closes: #794621)
  * Fix spelling-error-in-manpage
  * Fix depends-on-old-emacs

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 24 Aug 2015 12:02:02 +0200

ecasound (2.9.1-6) experimental; urgency=medium

  * Rename libecasoundc1 -> libecasoundc1v5 for g++5 ABI transition
    (Closes: #791026)
  * Add dh-python to Build-Depends
  * Fix capitalization-error-in-description-synopsis python Python

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 03 Aug 2015 13:54:03 +0200

ecasound (2.9.1-5) unstable; urgency=medium

  * Drop liboil-dev build dependency (Closes: #789574)
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 22 Jun 2015 14:10:23 +0200

ecasound (2.9.1-4) unstable; urgency=medium

  * Switch to dh-autoreconf
  * Add 01_fix-ruby-path.patch (Closes: #739127)

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 31 Mar 2014 11:53:56 +0200

ecasound (2.9.1-3) unstable; urgency=medium

  * Fix fixperms step for Architecture: all packages

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 07 Feb 2014 12:25:25 +0100

ecasound (2.9.1-2) unstable; urgency=medium

  * Add texlive-fonts-recommended to Build-Depends
  * Drop outdated X-Python-Version field
  * Drop libkvutils10 and libkvutils-dev packages too
  * Enable tests
  * Add 03_increase-read-timeout.patch to fix timeout on MIPS (Closes: #736616)
  * Always build the documentation

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 06 Feb 2014 23:03:28 +0100

ecasound (2.9.1-1) unstable; urgency=low

  * New upstream release
  * Build LV2 support on non-linux arches too
  * Fix ruby Depends for ruby-ecasound (Closes: #731465)
  * Fix vcs-field-not-canonical
  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Drop old transitional packages
  * Disable liblo support on sparc (Closes: #733783)
  * Drop 01_fix-manpages-errors.patch (merged upstream)

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 03 Jan 2014 17:53:10 +0100

ecasound (2.9.0-1) unstable; urgency=low

  * New upstream release
    - Upload to unstable
  * Update 01_fix-manpages-errors.patch
  * Drop 04_fix-spelling.patch (merged upstream)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 10 Jun 2012 11:38:39 +0200

ecasound (2.9.0~rc3-1) experimental; urgency=low

  * New upstream RC release

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 04 Jun 2012 14:55:29 +0200

ecasound (2.9.0~rc2-1) experimental; urgency=low

  * New upstream RC release
  * Remove serd, sord and sratom build depends (not needed anymore)
  * Remove outdated README.Debian
  * Remove useless ecasound-doc.dirs

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 28 May 2012 12:28:50 +0200

ecasound (2.9.0~rc1-2) experimental; urgency=low

  * Enable LV2 support only where lilv is available (i.e. linux-any)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 24 May 2012 11:52:32 +0200

ecasound (2.9.0~rc1-1) experimental; urgency=low

  * New upstream RC release
  * Remove no more needed dh_auto_clean override
  * Do not install static libraries (not built anymore)
  * Rename libkvutils4 -> libkvutils10
  * Build depend on liblilv-dev, libserd-dev, libsord-dev and libsratom-dev
    to enable LV2 support
  * Drop 04_fix-ecasound.el-ewf-regexp.patch (merged upstream)
  * Add 04_fix-spelling.patch
  * Update 01_fix-manpages-errors.patch
  * Refresh the other patches
  * Update upstream copyright years

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 23 May 2012 17:22:34 +0200

ecasound (2.8.1-9) unstable; urgency=low

  * Fix ruby-ecasound source install path (Closes: #676082)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 05 Jun 2012 10:54:29 +0200

ecasound (2.8.1-8) unstable; urgency=low

  * Do not override dh_install for python-ecasound (use *.install file instead)
  * Check for all build-depends-indep when building arch indep documentation
  * ruby-ecasound is Architecture: all

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 23 May 2012 12:31:29 +0200

ecasound (2.8.1-7) unstable; urgency=low

  [ Alessandro Ghedini ]
  * Adjust Ruby bindings package name in the dh_fixperms override
    (fixes executable-not-elf-or-script)
  * ecasound-el is Section: lisp
  * Update ecasound.rb install path as per new Ruby Policy
  * Update emacsen install and remove scripts (Closes: #671568)
  * Drop 1001-disable_python_tests.patch (the tests are not run anyway)
  * Use debian-pkg-add-load-path-item in emacsen startup script
    (Closes: #671551)
  * Set up ecasound-ewf-mode with .ewf files (Closes: #672184)
  * Add more DEP3 headers to the patches
  * Add 04_fix-ecasound.el-ewf-regexp.patch
  * Check if the elisp package dir exists in the startup script
  * Build depend on python-all and not python-all-dev since we only ship the
    native Python module
  * Remove misleading paragraph from long descriptions

  [ Alessio Treglia ]
  * Remove myself from the Uploaders field.

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 22 May 2012 21:31:25 +0200

ecasound (2.8.1-6) unstable; urgency=low

  * Fix dh_install source paths for python-ecasound (Closes: 659336)
  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3
  * Bump debhelper compat level to 9
  * Rename libecasound-ruby1.8 package -> ruby-ecasound
  * Email change: Alessandro Ghedini -> ghedo@debian.org
  * Lower-case first letter in short descriptions
  * Multiarchify lib* packages

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 03 Apr 2012 12:45:03 +0200

ecasound (2.8.1-5) unstable; urgency=low

  * Install the ecasignalview executable (Closes: #652943)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Thu, 22 Dec 2011 11:35:54 +0100

ecasound (2.8.1-4) unstable; urgency=low

  * Add optional tools to Recommends: faad, lame, mikmod, mpg123,
    timidity, vorbis-tools (they are used by ecasound to write/read
    to/from specific audio formats)
  * Relax one-dep-per-line policy a bit
  * Remove versioned Depends on ecasound where the version is already
    satisfied in oldstable
  * Bump debhelper compat level to 8

 -- Alessandro Ghedini <al3xbio@gmail.com>  Tue, 13 Dec 2011 10:41:38 +0100

ecasound (2.8.1-3) unstable; urgency=low

  * Disable tests for now to see what happens.

 -- Alessio Treglia <alessio@debian.org>  Thu, 28 Jul 2011 16:34:20 +0200

ecasound (2.8.1-2) unstable; urgency=low

  [ Alessandro Ghedini ]
  * Move ecasound-iam manpage to the ecasound package (Closes: #629871)
  * Make ecasound suggests ecatools

  [ Alessio Treglia ]
  * Replace python2.6 occurrences with python$(shell pyversions -dv) in
    dh_install calls. This prevents FTBFS with future Python transitions
    (and also fixes LP: #808910).

 -- Alessandro Ghedini <al3xbio@gmail.com>  Mon, 11 Jul 2011 19:35:26 +0200

ecasound (2.8.1-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream release.
  * Disable alsa on non-linux archs.

  [ Alessandro Ghedini ]
  * Remove libecasound23, libecasound-dev and libecasound2.2-dev packages
    - Drop build-shared-libecasound patch
  * Drop handle_estrpipe patch (merged upstream)
  * Fix libkvutils4 section (libs, not libedevel)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Tue, 24 May 2011 16:27:44 +0200

ecasound (2.8.0-4) unstable; urgency=low

  * Remove symbols files.

 -- Alessio Treglia <alessio@debian.org>  Sat, 21 May 2011 10:19:35 +0200

ecasound (2.8.0-3) unstable; urgency=low

  * Set proper Replaces/Breaks fields on ecasound-doc.

 -- Alessio Treglia <alessio@debian.org>  Fri, 20 May 2011 10:51:30 +0200

ecasound (2.8.0-2) unstable; urgency=low

  [ Alessandro Ghedini ]
  * Add *.symbols for powerpc and sparc architectures (Closes: #627193).

  [ Alessio Treglia ]
  * 0006-handle_estrpipe.patch:
    - ESTRPIPE is not defined on kfreebsd, get around FTBFS on those
      architectures (Closes: #627192).
  * 1001-disable_python_tests.patch:
    - Disable python tests for now (Closes: #627191) since the Python module
      isn't able to detect the ecasound executable's version; it might
      be related to the terminal emulator as ecasound prints "colored"
      characters.
  * Add -DOC arch-indep package.
    - Build documentation only when Build-Depends-Indep are met.
  * Move ghostscript,hevea to Build-Depends-Indep.
  * Add myself as primary uploader (as-per-spec).

 -- Alessio Treglia <alessio@debian.org>  Wed, 18 May 2011 22:29:47 +0200

ecasound (2.8.0-1) unstable; urgency=low

  [ Alessandro Ghedini ]
  * New upstream release
  * Fix documentation building/installation
    - Remove doxygen and yodl from Build-Depends (not needed anymore)
    - Build-Depends on ghostscript (needed for building *.pdf files)
  * New maintainer. (Closes: #520271)
  * Build-Depends on libjack-dev (Closes: #527407)
  * Install upstream changelog (NEWS) with dh_installchangelogs
    not dh_installdocs
  * Switch to short-form dh
  * Drop libecasound7 package's files (package no more built)
  * Replace *.dirs with *.install and *.manpages, drop useless files
  * Bump debhelper compat level to 7
  * Fix debhelper dependencies
    - Add ${misc:Depends} to binary packages Depends
    - Add debhelper to Build-Depends
  * Maintainer is Debian Multimedia maintainers, add myself to Uploaders
  * Update Vcs-* fields, add Homepage field
  * Update binary packages descriptions
  * Drop old Provides and Conflicts (listed packages no more in the archive)
  * Fix packages sections
  * Remove self-Provides
  * Bump Standards-Version to 3.9.2 (no changes needed)
  * Add debian/clean for pyecasound/pyeca.pyc and
    pyecasound/ecacontrol.pyc files
  * Preserve file ecasound.spec on clean
  * Add fix-manpages-errors patch
  * Add build-shared-libecasound patch
  * Add libecasound23 package
  * Add build-shared-libecasoundc patch
  * Add libecasoundc1 package
  * Add build-shared-libkvutils patch
  * Add libkvutils4 package
  * Remove python-central Build-Depends (dh_python2 is used)
  * Do not compile pyecasound cext (not installed anyway)
  * Add transitional dummy packages for the old libecasound2.2-dev,
    libecasoundc2.2-dev, libkvutils2.2-dev and python-ecasound2.2
  * Move ecatools to standalone package to avoid circular dependency

  [ Joel Roth ]
  * Update debian/copyright
    - Unobfuscate email addresses
  * Add 'nama' to Suggests
  * Rename binary packages removing 2.2 suffix
  * Rename Source package, ecasound2.2 -> ecasound
  * Build-Depends: add headers for liboil, liblo (OSC) and libaRts support
  * override_dh_fixperms for *.py and *.rb libraries
  * Clarify that largefile support option applies to 32-bit systems
  * Update debian/copyright

  [ IOhannes m zmölnig ]
  * Fixed ecasound.1 manpage
  * One line per dependency for better readability

  [ Alessio Treglia ]
  * Use dh_python2 rather than pysupport.
  * Remove trailing command from the Depends field.
  * Adopt one-dep-per-line style.
  * Fix DH's syntax, otherwise the python2 add-on will be skipped.
  * Enable parallel builds.
  * When moving files, it's better to use Breaks+Replaces versioned fields.
  * Drop arts support.
  * Update symbols.

 -- Alessandro Ghedini <al3xbio@gmail.com>  Thu, 12 May 2011 17:58:03 +0200

ecasound2.2 (2.7.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change dependency on emacs flavours to emacsen; preserv emacs23 as a
    non-virtual alternative dependency (Closes: #562039)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 12 Mar 2010 11:19:50 +0100

ecasound2.2 (2.7.0-1) unstable; urgency=low

  * New upstream release.
  * Depend on libreadline-dev instead of libreadline5-dev by request of
    Mattias Klose. It's now libreadline6-dev. (closes: #553748)
  * Update menu file to use section Applications/ instead of Apps/.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 02 Nov 2009 18:22:35 +0900

ecasound2.2 (2.6.0-1) unstable; urgency=low

  * New upstream release
  - 08_fix_header_install: remove
  - 07_configure_in_maintainer_mode: update
  - do not install manpage copies, and just install symlinks for
    ecatools.1
  * Build-Depend on texlive-latex-recommended too for ecrm1000 font.
    (closes: #526535)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 06 May 2009 15:18:46 +0900

ecasound2.2 (2.5.2-3) unstable; urgency=low

  * yodl 2.13.1 removed --unique-output option. Remove --unique-output
    accordingly.

 -- Junichi Uekawa <dancer@debian.org>  Fri, 26 Sep 2008 09:58:52 -0700

ecasound2.2 (2.5.2-2) unstable; urgency=low

  * Add Vcs-Git information
  * Update debian/copyright with upstream information.
  * fix typo in configure.in
    08_fix_header_install
  * add --unique-output options to yodl to fix manpage generation.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 20 Sep 2008 22:28:40 -0700

ecasound2.2 (2.5.2-1) unstable; urgency=low

  * New Upstream Version
  * Make debian/rules work with parallel build (test with -j5)

 -- Junichi Uekawa <dancer@debian.org>  Sat, 30 Aug 2008 22:25:19 -0700

ecasound2.2 (2.4.6.1-2) unstable; urgency=low

  * Bug fix: "FTBFS with GCC 4.3: missing #includes", thanks to Martin
    Michlmayr (Closes: #454890).
  - 13_gcc4: updated

 -- Junichi Uekawa <dancer@debian.org>  Sun, 23 Mar 2008 21:42:49 +0900

ecasound2.2 (2.4.6.1-1) unstable; urgency=low

  * New Upstream Version
  * Update dpatches:
  - 15_documentation_makefile: drop, included upstream
  - 13_gcc4: updated: mostly merged, one remaining. keep.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 19 Aug 2007 19:08:31 +0900

ecasound2.2 (2.4.5-7) unstable; urgency=low

  * run latex twice to make index work in documentation.
  - 15_documentation_makefile.dpatch

 -- Junichi Uekawa <dancer@debian.org>  Mon, 06 Aug 2007 08:58:33 +0900

ecasound2.2 (2.4.5-6) unstable; urgency=low

  * really prefer emacs22 (Closes: #434913).

 -- Junichi Uekawa <dancer@debian.org>  Fri, 03 Aug 2007 08:28:02 +0900

ecasound2.2 (2.4.5-5) unstable; urgency=low

  * ecasound-el: remove emacs-snapshot from list of dependencies.
  * Bug fix: "ecasound-el: please prefer emacs22", thanks to Tatsuya
    Kinoshita (Closes: #434913).
  * Build-Depend libwrap-dev -> libwrap0-dev

 -- Junichi Uekawa <dancer@debian.org>  Wed, 01 Aug 2007 08:18:19 +0900

ecasound2.2 (2.4.5-4) unstable; urgency=low

  * ecasound-el: add emacs22

 -- Junichi Uekawa <dancer@debian.org>  Sun, 15 Jul 2007 10:28:40 +0900

ecasound2.2 (2.4.5-3) unstable; urgency=low

  * "FLAC 1.1.4 library transition" (Closes: #426644).
  - Updated build-depends to depend on libsndfile1 1.0.17-2 or greater
  * Bug fix: "ecasound2.2: not binNMU-safe, uninstallable in unstable",
    thanks to Steve Langasek (Closes: #431095).

 -- Junichi Uekawa <dancer@debian.org>  Sat, 30 Jun 2007 12:43:25 +0900

ecasound2.2 (2.4.5-2) unstable; urgency=low

  * Bug fix: "FTBFS with GCC 4.3: missing #includes", thanks to Martin
    Michlmayr (Closes: #417178), further updates to patch.

 -- Junichi Uekawa <dancer@debian.org>  Fri, 18 May 2007 21:43:48 +0900

ecasound2.2 (2.4.5-1) unstable; urgency=low

  * new upstream release
  * build-depend on texlive
  * pbuilder-test: error code changed from '-1' to '1', so update test.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 22 Apr 2007 01:25:44 +0900

ecasound2.2 (2.4.4-7) unstable; urgency=low

  * Bug fix: "FTBFS with GCC 4.3: missing #includes", thanks to Martin
    Michlmayr (Closes: #417178).
  - 13_gcc4.3

 -- Junichi Uekawa <dancer@debian.org>  Wed, 11 Apr 2007 08:46:41 +0900

ecasound2.2 (2.4.4-6) unstable; urgency=HIGH

  * Bug fix: "libecasound2.2-dev: missing dependency on libasound2-dev",
    thanks to Steve Langasek (Closes: #409438).

 -- Junichi Uekawa <dancer@debian.org>  Sun,  4 Feb 2007 11:32:59 +0900

ecasound2.2 (2.4.4-5) unstable; urgency=low

  * Bug fix: "ecasound-el: Please add a depends against emacsen or
    emacs-snapshot", thanks to arnaud@andesi.org (Closes: #403146).

 -- Junichi Uekawa <dancer@debian.org>  Fri,  5 Jan 2007 14:15:13 +0900

ecasound2.2 (2.4.4-4) unstable; urgency=low

  * Bug fix: "FTBFS: Non-ascii character in input, consider using package
    inputenc", thanks to Martin Michlmayr (Closes: #396851).
    Remove the weird bit from documentation.

 -- Junichi Uekawa <dancer@debian.org>  Sat,  4 Nov 2006 13:42:53 +0900

ecasound2.2 (2.4.4-3) unstable; urgency=low

  * Bug fix: "Python policy transition" (Closes: #373316).
  - Build-depend on python-dev instead of python2.4-dev
  - python-ecasound is arch all
  - fix description to remove reference to python 2.3
  - debian/rules: remove reference to python2.3 and use dh_pysupport instead of dh_python
  - remove existing byte-compilation handling from postinst/preinst.
  some of it thanks to Pierre Habouzit <madcoder@debian.org>
  * Bug fix: "ecasound2.2: FTBFS on kfreebsd-amd64: unsatisfied
    Build-Depends", thanks to Petr Salinger (Closes: #361469).
    add hurd-i386 to list
  * Standards-Version: 3.7.2
  * remove g++ versioned build-dependency, and add python-support (>=
    0.4.0) to build-dependency.
  * update watch file format
  * debian/rules clean config.log, config.status.
  * ecasound now has versioned depends on python-ecasound, since it was
    the original intention.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 12 Aug 2006 22:03:54 +0900

ecasound2.2 (2.4.4-2) unstable; urgency=low

  * Work with newer autoconf/automake ? which seems to be using more {}s.
  - 11_configure_in_alsa_fix: "FTBFS: ./configure: line 23306: syntax
    error near unexpected token `}'" (Closes: #377936).

 -- Junichi Uekawa <dancer@debian.org>  Thu, 13 Jul 2006 00:49:48 +0900

ecasound2.2 (2.4.4-1) unstable; urgency=low

  * New upstream release
  - 10_unprotect_filename_with_comma: integrated upstream
  - 07_configure_in_maintainer_mode: update
  * fix pbuilder-test

 -- Junichi Uekawa <dancer@debian.org>  Sat, 28 Jan 2006 06:23:45 +0900

ecasound2.2 (2.4.3-3) unstable; urgency=low

  * 10_unprotect_filename_with_comma: ecatools did not accept filenames with
    comma, but alsa devices are filenames starting with comma; accept them.

 -- Junichi Uekawa <dancer@debian.org>  Mon,  5 Dec 2005 23:54:49 +0900

ecasound2.2 (2.4.3-2) unstable; urgency=low

  * make libasound2 optional for kFreeBSD (closes: #327648)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 18 Sep 2005 08:10:34 +0900

ecasound2.2 (2.4.3-1) unstable; urgency=low

  * New upstream release
  - fixes: ecasound freezes the computer under root with double buffering(closes: #317900)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 25 Aug 2005 07:43:03 +0900

ecasound2.2 (2.4.2-1) unstable; urgency=low

  * New upstream release
  * no longer generate ecasound2.2 transition package (closes: #321981)

 -- Junichi Uekawa <dancer@debian.org>  Sat, 20 Aug 2005 10:57:32 +0900

ecasound2.2 (2.4.1-2) unstable; urgency=low

  * README.Debian: Note that arts is disabled
  * rebuild with readline5-dev
  - Bug fix: "use libreadline5-dev after sarge", thanks to Laurent Bonnaud
    (Closes: #292313).
  * Build-depend on g++ 4.0 or greater.
  * rebuild with jack 0.100 as build-depends
  - Bug fix: "libjack0.80.0-0 removed from unstable; rebuild required",
    (Closes: #317191).

 -- Junichi Uekawa <dancer@debian.org>  Tue, 12 Jul 2005 22:58:08 +0900

ecasound2.2 (2.4.1-1) unstable; urgency=low

  * New upstream version
  - 01_ecasoundrc-location-fix: included in upstream
  - 07_configure_in_maintainer_mode: updated
  * removed refererence to artsc-dev
  * [debian/control, debian/rules] Use automake1.9
  * documentation is now in rst
  - add Build-Depends: python-docutils
  * debian/menu: quote
  * debian/watch: add

 -- Junichi Uekawa <dancer@debian.org>  Thu, 14 Apr 2005 09:15:48 +0900

ecasound2.2 (2.4.0-1) unstable; urgency=low

  * New upstream release
  - fixes filename parsing code (closes #285265, #284312, #285264)
  - effect presets value eca:0.69 is now eca:69 (closes: #296505)
  * disable arts support temporarily since it doesn't build
  * debian/rules, debian/ecasound.manpages:
    use installman instead of installmanpages

 -- Junichi Uekawa <dancer@debian.org>  Sun, 13 Mar 2005 19:16:08 +0900

ecasound2.2 (2.3.5-8) unstable; urgency=low

  * README.Debian: update upstream URL, and explain why the source package is
  thusly called. (closes: #284310)
  * TODO; update with current todo items.

 -- Junichi Uekawa <dancer@debian.org>  Tue,  8 Feb 2005 18:39:00 +0900

ecasound2.2 (2.3.5-7) unstable; urgency=low

  * Typo fix: replaces libecasound7c -> libecasound7. (closes: #290630)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 16 Jan 2005 15:59:10 +0900

ecasound2.2 (2.3.5-6) unstable; urgency=low

  * libecasound2.2-dev should depend on libsndfile1-dev.
    (closes: #282226, #282229)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 25 Nov 2004 08:53:13 +0900

ecasound2.2 (2.3.5-5) unstable; urgency=low

  * ecasound-el depend on ecasound instead of ecasound2.2
  * 01_ecasoundrc-location-fix: fix patch so that effects_presets can be used.
    default 'ecasoundrc' was not modified correctly.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 17 Nov 2004 08:28:31 +0900

ecasound2.2 (2.3.5-3) unstable; urgency=low

  *  Build-dep on ruby

 -- Junichi Uekawa <dancer@debian.org>  Mon, 15 Nov 2004 07:14:00 +0900

ecasound2.2 (2.3.5-2) unstable; urgency=low

  * Fix upgrade path from ecasound->ecasound2.2;
    replace libecasound7c102, libecasound7 packages since documentation has
    moved from these packages to ecasound package
  * upload to unstable
  - newer libtool is used than libtool1.4 (closes: #279389)
  - gcc-3.4 bug is not there anymore (closes: #266709)
  - largefile support is enabled (closes: #272551)
  - ICE on gcc apparently doesn't happen with ecasound2.2 (closes: #249804)
  - menu command is interactive (closes: #235560).
  - new upstream version is now uploaded to unstable (closes: #247746)

 -- Junichi Uekawa <dancer@debian.org>  Sat, 13 Nov 2004 23:04:32 +0900

ecasound2.2 (2.3.5-1) experimental; urgency=low

  * New upstream release
  * debian/copyright: new upstream website/mail address.
  * Fixed 01_ecasoundrc-location-fix patch so that I can send it upstream.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 13 Nov 2004 11:37:22 +0900

ecasound2.2 (2.3.4-1) experimental; urgency=low

  * New upstream release
  * checked against Debian policy 3.6.1.
  * patch updates
    01_ecasoundrc-location-fix: keep
    07_configure_in_maintainer_mode: keep
  * libsndfile support added, we have new enough version now.
  * Bug fix: "ecasound2.2: menu command needs to call ecasound
    interactively", thanks to tim hall (Closes: #235560).
  * Add libecasound-ruby1.8 package
  - Add build-dep on ruby1.8
  - force-install to usr/lib/ruby/1.8 instead of /usr/local/

 -- Junichi Uekawa <dancer@debian.org>  Wed,  3 Nov 2004 13:12:56 +0900

ecasound2.2 (2.3.2-1) UNRELEASED; urgency=low

  * New upstream release
  * patch updates
    01_ecasoundrc-location-fix: keep
    07_configure_in_maintainer_mode: keep
  * ecasound package
  * README.Debian: update notes on ecasound2.2
  * disable libsndfile support for now, since libsndfile 1.0.4 is not supported, requires 1.0.5
  * rebuild against jack 0.80.0

 -- Junichi Uekawa <dancer@debian.org>  Sun, 31 Oct 2004 14:16:09 +0900

ecasound2.2 (2.3.1-2) unstable; urgency=low

  * Fix build failure of ecawave/ecamegapedal packages, backporting fix for 2.3.2
  some header files were missing
  - 08_fix_header_install.dpatch

 -- Junichi Uekawa <dancer@debian.org>  Sat, 10 Jan 2004 11:10:00 +0900

ecasound2.2 (2.3.1-1) unstable; urgency=low

  * New upstream version
    - incorporates Debian patches, and minor fixes.
  * dpatch updates:
    01_ecasoundrc-location-fix: keep
    03_fix_unmatching_braces_in_ecasound_makefile_am: merged upstream
    04_ecasound_el_0.8.3: merged upstream
    05_audioio_jack_0.75_fix: merged upstream
    06_documentation_hevea: merged upstream
    07_configure_in_maintainer_mode: still applies, keep
  * debian/control: Build-Depends: add yodl

 -- Junichi Uekawa <dancer@debian.org>  Fri, 12 Dec 2003 05:48:51 +0900

ecasound2.2 (2.3.0-5) unstable; urgency=high

  * add build-Depends on python to work around /usr/bin/python not being
    available when after installing python2.3-dev; dependency of
    python2.3-dev upon python is downgraded to recommends now.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 19 Nov 2003 22:29:27 +0900

ecasound2.2 (2.3.0-4) unstable; urgency=high

  * Fix build failure; do not include html.sty in documentation.
  * remove depcomp; old version seems to be incompatible with newer automake.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 18 Nov 2003 22:29:22 +0900

ecasound2.2 (2.3.0-3) unstable; urgency=HIGH

  * debian/control: Do not use latex2html, use hevea instead.
    (Closes: #221334).
    - 06_documentation_hevea.dpatch
  * AM_MAINTAINER_MODE added, to fix debian/rules clean interaction with files patching.
    - 07_configure_in_maintainer_mode.dpatch

 -- Junichi Uekawa <dancer@debian.org>  Tue, 18 Nov 2003 07:58:32 +0900

ecasound2.2 (2.3.0-2) experimental; urgency=low

  * backport fix for 0.75.0 compatibility from CVS.
  - 05_audioio_jack_0.75_fix.dpatch

 -- Junichi Uekawa <dancer@debian.org>  Sat,  4 Oct 2003 14:03:39 +0900

ecasound2.2 (2.3.0-1) experimental; urgency=low

  * New upstream release (closes: #208160)
  - ecasound2.2: Processing time (option -t) wrong with sample-rate != 44100 Hz
    From: Stephan Niemz  (closes: #195027)
  * update Build-conflicts for libkvutils and libecasound; for c102.
  * configure option "--enable-pyecasound=python" to ensure
    pure python implementation of pyecasound.
  * Run autoconf-automake-libtool in build.
  * Fix to get ecasound building:
  - ecasound/Makefile.am: "$(readline_library}" ->  "$(readline_library)"
    03_fix_unmatching_braces_in_ecasound_makefile_am
  - libtool tries to build shared libraries anyway:
    02_makefile_am_hack.dpatch: an unsuccessful attempt to not to
    try to add libasound and libjack et al into static library.
    -- the resulting output is no different ?
    rather, tried --disable-shared.
  * Update ecasound.el
    04_ecasound_el_0.8.3.dpatch
    ecasound2.2: Please update ecasound.el to 0.8.3
    From: Mario Lang  (closes: #208215)
  * Note: JACK support is temporarily broken; thus experimental

 -- Junichi Uekawa <dancer@debian.org>  Tue,  2 Sep 2003 06:05:39 +0900

ecasound2.2 (2.2.3-6) unstable; urgency=low

  * python2.3 transition (closes: #206047)

 -- Junichi Uekawa <dancer@debian.org>  Mon, 25 Aug 2003 22:45:28 +0900

ecasound2.2 (2.2.3-5.1) unstable; urgency=low

  * NMU
  * Build with python2.3 as the default python version.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Aug 2003 22:36:38 +0200

ecasound2.2 (2.2.3-5) unstable; urgency=low

  * Add Build-Depends on tetex-bin
    Thanks to Bdale for reporting. (closes: #202048)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 20 Jul 2003 13:07:40 +0900

ecasound2.2 (2.2.3-4) unstable; urgency=low

  * fix documentation install process, and build the documentation
  - added build-dep on latex2html
  - debian/rules, debian/docs: added build process and install process.
  - doxygen documentation cannot be produced from source, sent upstream.
  - debian/rules: use sed for index.html to change .pdf link to .pdf.gz
  (closes: #200578)
  * debian/TODO: update, there is nothing notable to do anymore.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 19 Jul 2003 09:39:21 +0900

ecasound2.2 (2.2.3-3) unstable; urgency=low

  * use dpatch to manage patches
    01_ecasoundrc-location-fix: use usr/share/ecasound2.2/ecasound/ecasoundrc
  * debian/compat: use this file to specify debhelper compat version.

 -- Junichi Uekawa <dancer@debian.org>  Mon,  2 Jun 2003 23:49:07 +0900

ecasound2.2 (2.2.3-2) unstable; urgency=low

  * change sections.
  * Build and require jack 0.71.2

 -- Junichi Uekawa <dancer@debian.org>  Mon, 26 May 2003 00:41:51 +0900

ecasound2.2 (2.2.3-1) unstable; urgency=low

  * New upstream release
  - ecasoundrc.in, libecasound/eca-resources.cpp: usr/share/ecasound2.2/ecasound/ecasoundrc
  * update README.Debian

 -- Junichi Uekawa <dancer@debian.org>  Tue, 29 Apr 2003 00:02:45 +0900

ecasound2.2 (2.2.2-1) unstable; urgency=low

  * New upstream release
  - ecasoundrc.in, libecasound/eca-resources.cpp: usr/share/ecasound2.2/ecasoundrc
  - other Debian-local patches merged upstream.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 25 Mar 2003 00:44:41 +0900

ecasound2.2 (2.2.1-2) unstable; urgency=low

  * Rebuild with libjack0.50.0

 -- Junichi Uekawa <dancer@debian.org>  Sun,  2 Mar 2003 18:05:33 +0900

ecasound2.2 (2.2.1-1) unstable; urgency=low

  * New upstream release
  * Update config.guess/sub from autotools-dev.
  * Hack ecasoundrc.in, libecasound/eca-resources.cpp to look in
    /usr/share/ecasound2.2/ecasound
  * Forward-port pyecasound compile rules.
  * AM_MAINTAINER_MODE, aclocal, autoconf, automake
  * Build-Depend and libecasound2.2-dev depend on libsamplerate0-dev.
  * ecalength.c: int curopt, not char. (closes: #181228)

 -- Junichi Uekawa <dancer@debian.org>  Mon, 17 Feb 2003 15:19:09 +0900

ecasound2.2 (2.2.0-rel-7) unstable; urgency=low

  * Add missing Depends on -dev packages.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 12 Feb 2003 10:16:17 +0900

ecasound2.2 (2.2.0-rel-6) unstable; urgency=low

  * Build-depend on libartsc0-dev instead of libarts-dev

 -- Junichi Uekawa <dancer@debian.org>  Fri,  7 Feb 2003 21:30:50 +0900

ecasound2.2 (2.2.0-rel-5) unstable; urgency=low

  * ecasoundrc.in, libecasound/eca-resources.cpp: hand-fix problems with ecasoundrc path  (resource-directory is /share/ecasound2.2/ecasound)
    (closes: #179184)
  * link .lo file instead of .o file for pyecasound. (closes: #179380)
  * run aclocal/autoconf/automake
  - debian/rules chmod a+x depcomp
  * apply description improvement for ecasound-el from mlang@debian.org,
    thanks!
    (closes: #178256)
  * fix libecasound-config.in to not generate -rpath when library is
    installed in standard install path.

 -- Junichi Uekawa <dancer@debian.org>  Tue,  4 Feb 2003 18:33:31 +0900

ecasound2.2 (2.2.0-rel-4) unstable; urgency=low

  * Build-Depend on libjack0.44.0-dev (closes: #177107, #177732)
  * Do not link libecasoundc.a static link library to shared library,
    link libecasoundc_sa.lo which is compiled with -fPIC
    (closes: #177096)
  * add AM_MAINTAINER_MODE to configure.in, and relibtoolize/autoconf/automake

 -- Junichi Uekawa <dancer@debian.org>  Wed, 22 Jan 2003 12:02:02 +0900

ecasound2.2 (2.2.0-rel-3) unstable; urgency=low

  * set datadir=/usr/share/ecasound2.2, to avoid file conflicts
    with libecasound7.
    (closes: #176880)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 16 Jan 2003 13:34:37 +0900

ecasound2.2 (2.2.0-rel-2) unstable; urgency=low

  * install changelogs for ecasound-el package.
  * update TODO file.
  * add missing Depends to emacs21,xemacs21 on ecasound-el
  * change so that ecasound-el does not byte-compile for emacs20.
    thanks "Aaron M. Ucko" <ucko@debian.org> (closes: #176775)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 15 Jan 2003 16:48:45 +0900

ecasound2.2 (2.2.0-rel-1) unstable; urgency=low

  * New upstream release, naming it 2.2.0-rel (real version is 2.2.0)
  * Remove hacks to build with gcc-3.2 on hppa, gcc-3.2 should be default now.
  * Remove hackgcc3 option
  * Rebuild with gcc-3.2
  * Change ecasound.el default ecasound value to /usr/bin/ecasound
  * New ecasound-el package.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 11 Jan 2003 12:30:42 +0900

ecasound2.2 (2.2.0-rc1-1) unstable; urgency=low

  * new upstream release (closes: #173300)
  Does not co-install with previous versions.
  There are some known and unknown bugs in this release,
  and would be nice if people tested this version out before I completely
  replace ecasound.
  * enable largefile support.
  * do not ship documentation for now, since build system changed from
  yodl to latex, we'll fix later.
  * ecamonitor in ecasound2.2 require python-ecasound, so Depend on
    python-ecasound2.2, and also python.
  * debian/rules: chmod 644 pyeca.py
  * -dev packages provide and conflict -development, and conflict with
    lib*-dev, because old ecasound -dev packages were not with soname.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 23 Dec 2002 20:09:54 +0900

ecasound (2.0.4-7) unstable; urgency=low

  * Inadvertently uploaded a broken package.
  Fix it so that we actually have a working "ecasound" package!

 -- Junichi Uekawa <dancer@debian.org>  Mon, 16 Dec 2002 12:14:46 +0900

ecasound (2.0.4-6) unstable; urgency=low

  * update README/Debian wrt gcc and libasound2
  * Standards-Version: 3.5.8, rewrite of some portion of build scripts:
  - support noopt compilation option, nostrip is pending.
  - DH_COMPAT=4
  - debian/control: Build-Dep on debhelper 4.1.1 or greater
  - libasound2 is Depends:, not Suggests:.
  - dh_shlibs call changed
  - debian/rules: remove unnecessary touching of Makefile.in's.
    AM_INIT_AUTOMAKE should take care of that
  - debian/shlibs.local is no longer needed, removed.
  * do not set CXXFLAGS in configure.ac
  * re-run autoconf.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 15 Dec 2002 13:13:29 +0900

ecasound (2.0.4-5) unstable; urgency=low

  * update hackgcc3 DEB_BUILD_OPTIONS to use gcc-3.2
  * debian/rules: special-case hppa to use gcc-3.2. (closes: #165582)

 -- Junichi Uekawa <dancer@debian.org>  Mon, 21 Oct 2002 18:19:50 +0900

ecasound (2.0.4-4) unstable; urgency=low

  * configure.in: fix python dirs specification to work with python 2.2
    (closes: #159979)
  * regenerate autoconf scripts

 -- Junichi Uekawa <dancer@debian.org>  Mon,  9 Sep 2002 12:23:38 +0900

ecasound (2.0.4-3) unstable; urgency=low

  * Fix compilation on g++-3.x and newer readline.
    char* -> const char*, and remove spurious typecast (closes: #157118)
  * configure.in: Change check for map.h to map
  * Recompile with libasound2
  * Remove spurious architecture field on Build-Depends
  * Compile with python2.2 (closes: #159711)

 -- Junichi Uekawa <dancer@debian.org>  Fri,  6 Sep 2002 12:56:13 +0900

ecasound (2.0.4-2) unstable; urgency=low

  * apply upstream patch to add -mieee to alpha build.
  * add AM_MAINTAINER_MODE to configure.in

 -- Junichi Uekawa <dancer@debian.org>  Wed, 17 Jul 2002 15:48:52 +0900

ecasound (2.0.4-1) unstable; urgency=low

  * new upstream release, incoorporating most of my previous modifications.
  * ecasound_faq.html seems to have disappeared, remove the reference from
    libecasound7.docs.
  * --enable-sys-readline
  * add libreadline4-dev build-depends.
  * ecasound/eca_text.cpp: completion_matches to rl_completion_matches
  * configure.in: fix pymoddirs and python_incdirs to include python2.1
    (forward port from 2.0.3-3)

 -- Junichi Uekawa <dancer@debian.org>  Sat, 30 Mar 2002 15:37:48 +0900

ecasound (2.0.3-5) unstable; urgency=low

  * Dependency: libecasound-dev -> libkvutils-dev and libecasoundc-dev ->
    libecasound-dev (closes: #128221)

 -- Junichi Uekawa <dancer@debian.org>  Wed,  9 Jan 2002 15:53:53 +0900

ecasound (2.0.3-4) unstable; urgency=low

  * "Package for my Christmas..."
  * Cosmetic fixes for release, for bugs described in 125972.
  * fixed debian/rules. It depended on python 1.5 or 2.0 being available.
    I want python 2.1
  * debian/control: remove reference to mpg123 from Suggest, instead,
    suggest mpg321 | mp3-decoder.
  * debian/control: add mikmod, and timidity to Suggests: list.
  * debian/control: change from suggests to ladspa-plugin to
    swh-plugins | ladspa-plugin, so that it is more obvious which to install.
  * debian/README: updated the text, and did a spell-check.
  * debian/TODO: modified the obvious typo.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 23 Dec 2001 16:15:33 +0900

ecasound (2.0.3-3) unstable; urgency=low

  * debian/control: libecasound0-dev provides and conflicts libecasound-dev.
    so that future versions can coexist (kind of). Future versions may
    wish to Conflict: with <= 2.0.3-2
  * changed to python-2.1 (closes: #118264)
  * changed configure.in to look for python2.1
  * added : touch configure.in aclocal.m4 `find -name Makefile.in ` configure
    to debian/rules, this seems to pass pdebuild test.
  * changed postinst for python-ecasound to use python instead of python2

 -- Junichi Uekawa <dancer@debian.org>  Mon, 19 Nov 2001 06:37:15 +0900

ecasound (2.0.3-2) unstable; urgency=low

  * debian/rules, debian/control: alpha version is no longer built with g++-3.0.
  * updated shlibs.local to represent that change.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 21 Oct 2001 16:06:34 +0900

ecasound (2.0.3-1) unstable; urgency=low

  * new upstream version with some upstream bugfixes, and some Debian
    fixes merged.
    Some upstream fixes include:
    o problems with ALSA 0.9beta7 (dlopen() issue)
    o minor samplerated bug with LADSPA plugins
  * removed automake/autoconf calls from configure target ( I am no
    longer using a cvs-checkout version of ecasound, so I should not need
    to re-run those programs.) (closes: #114209)
  * debian/control: removed build-deps for autoconf, automake
  * debian/rules: removed the removing of autoconf/automake generated files from clean target.
  * fixed priorities to match overrides file

 -- Junichi Uekawa <dancer@debian.org>  Thu,  4 Oct 2001 01:14:25 +0900

ecasound (2.0.2-4) unstable; urgency=low

  * split out libecasoundc package. adding libecasoundc0.postinst etc.
  * ALSA 0.9 support is still removed ... probably for a longer time than anticipated.
  * changed from using dh_movefiles, to using mv directly, in debian/rules.
    Hoping not to have dropped any files.
  * adding a replaces libecasound, for libecasoundc, because some files
    have moved over

 -- Junichi Uekawa <dancer@debian.org>  Sun, 30 Sep 2001 23:56:45 +0900

ecasound (2.0.2-3) unstable; urgency=low

  * fixing shlibs.local file to depend above 2.0.2-2
  * Remove ALSA 0.9 support temporarily (hopefully) because
    apparently ALSA  in Debian is broken (again).
    Reverted to ALSA 0.5, because
    that's better than nothing, IMO.
    Changed libasound2-dev [i386 alpha ia64 powerpc m68k] to
    libasound1-dev [i386 alpha ia64 powerpc m68k]
    (closes: #111555)

 -- Junichi Uekawa <dancer@debian.org>  Mon,  3 Sep 2001 19:35:18 +0900

ecasound (2.0.2-2) unstable; urgency=low

  * Build with gcc-3.0 on alpha.
  * Build depends on gcc-3.0 and g++-3.0 [alpha]
  * add a DEB_BUILD_OPTION for test-building for g++-3.0

 -- Junichi Uekawa <dancer@debian.org>  Thu, 30 Aug 2001 02:27:14 +0900

ecasound (2.0.2-1) unstable; urgency=low

  * New upstream release with bugfixes.
  * gcc-3.0 patch has been integrated upstream (partially, the
   patching done for 2.0.1-6 did not make it.)
   fixed gcc-3.0 - libasound1-dev compilation errors,
   and copied newer config.{sub,guess}

 -- Junichi Uekawa <dancer@debian.org>  Sat, 18 Aug 2001 02:21:08 +0900

ecasound (2.0.1-6) unstable; urgency=low

  * updated config.sub and config.guess.
    I hope this is what LaMont meant... (closes: #108244)
  * fixing build-deps to the latest state. Moving over to libasound2 all those arches which seem to support libasound2.
  * fixing some more gcc-3.0 incompatibility

 -- Junichi Uekawa <dancer@debian.org>  Sun, 12 Aug 2001 00:21:35 +0900

ecasound (2.0.1-5) unstable; urgency=low

  * fix postinst to work with python2. (closes: #104509)
  * compile with python2. python2 seems to be GPL-compatible now, and it
    is better supported by external application programs.
  * python-ecasound Depends: python2-base
  * build-depends on python2-dev
  * python-ecasound postinst and preinst is updated to work with python2

 -- Junichi Uekawa <dancer@debian.org>  Sat, 14 Jul 2001 07:33:23 +0900

ecasound (2.0.1-4) unstable; urgency=low

  * patched so that it can work with g++-3.0, please verify.

 -- Junichi Uekawa <dancer@debian.org>  Thu, 12 Jul 2001 07:17:33 +0900

ecasound (2.0.1-3) unstable; urgency=low

  * fixed build-deps for arm. Thanks to Philip Brandell for pointing this out.
    (closes: #101984)
  * bumped up standards-version to 3.5.5 (no change)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 24 Jun 2001 00:23:42 +0900

ecasound (2.0.1-2) unstable; urgency=low

  * removed dependency for alsa 0.5 on arm which is not available
    and changed build-dependency to point to ladspa-sdk
    and changed build-dependency to libarts arch specification to be
    more specific. (closes: #100425)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 20 Jun 2001 16:27:12 +0900

ecasound (2.0.1-1) unstable; urgency=low

  * new upstream release with many bugfixes. Try this if you have experienced
    mp3 zombies, or some mysterious segfaults.
  * debian/control: build with alsa version 0.9 for ia32, and not for other arches, and use alsa 0.4 for arm.
    TODO: build a 0.5 version separately if possible.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 21 May 2001 16:05:35 +0900

ecasound (2.0.0-3) unstable; urgency=low

  * debian/control: corrected build-depends (closes: #96883)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 10 May 2001 14:37:53 +0900

ecasound (2.0.0-2) unstable; urgency=low

  * Recompiling with ladspa support

 -- Junichi Uekawa <dancer@debian.org>  Wed,  9 May 2001 21:35:38 +0900

ecasound (2.0.0-1) unstable; urgency=low

  * New upstream stable version
  * debian/control: removed arts build dependency to allow for alpha build. (closes: #95710)
  * debian/rules: ALSA 0.5 in unstable is working again. Re-enabling ALSA. (#95717)

 -- Junichi Uekawa <dancer@debian.org>  Mon,  7 May 2001 15:58:48 +0900

ecasound (1.9dev7.cvs20010428-1) unstable; urgency=low

  * CVS version getting ready for the version 2 release.
  * ladspa.h removed from distribution. (closes: #88750)
  * debian/control: added arts build-dependency
  * debian/rules: hack for catman pages is removed because patch was
    accepted.
  * debian/control: Build-depends on ncurses 5 (closes: #90709)
  * debian/control: Build-depends on automake/autoconf
  * debian/control: Build-conflicts on python2-base.
  * debian/rules: ALSA in debian is currently broken, as a workaround,
    --disable-alsa is passed to ./configure
  * debian/control: libecasound7 conflicts with older version of eca* software
  * debian/rules: removes Makefile.in to reduce diff size.
  * debian/README.Debian: changed the documentation to suit the reality.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 28 Apr 2001 10:43:06 +0900

ecasound (1.9dev2-2) unstable; urgency=low

  * debian/rules: dh_testversion to test version of debhelper
  * debian/control: Maintainer: field points to dancer@debian.org now.
  * debian/control: policy version to 3.5.2
  * debian/rules: accepts debug options in DEB_BUILD_OPTIONS
  * debian/control: arm and mips added for Build-Depends to libasound1
    hoping that they actually are working.
  * debian/ecasoundc-config.1, debian/ecasound-config.1, debian/rules:
    removed the undocumented.7.gz symlink, and created real manpages.
  * debian/rules: removed reference to CFLAGS because it is not necessary

 -- Junichi Uekawa <dancer@debian.org>  Wed, 28 Feb 2001 14:33:11 +0900

ecasound (1.9dev2-1) unstable; urgency=low

  * change maintainer mail address to a debian one.
  * upgrade to the latest upstream development release as to avoid forking
    and backporting fixes.
  * new versioning policy in the upstream. Hope it works.
  * the dependency is bumped up to make things look better.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 21 Feb 2001 01:42:11 +0900

ecasound (1.8.5d15-9) unstable; urgency=low

  * Add a #define __KERNEL__ in the hope that kvutils will compile for
    arches that require that in asm/atomic.h for read_atomic().

 -- Junichi Uekawa <dancer@netfort.gr.jp>  Sun, 28 Jan 2001 23:04:55 +0900

ecasound (1.8.5d15-8) unstable; urgency=low

  * change rm to rm -f so that minor discrepancies do not prohibit
    things from building. Python code gets compiled into "lib-dynload" on
    some systems, and "site-packages" on others.
  * added little more verbose description about libkvutils, closes:#83295
  * added a hack into ./configure so that python modules get installed
    into site-packages regardless of whether that directory already exists
    or not.

 -- Junichi Uekawa <dancer@netfort.gr.jp>  Fri, 26 Jan 2001 18:28:57 +0900

ecasound (1.8.5d15-7) unstable; urgency=low

  * added suggests for mpg123 into libecasound7, closes:#83183
  * added suggests for vorbis-tools (for completeness) to libecasound7.

 -- Junichi Uekawa <dancer@netfort.gr.jp>  Wed, 24 Jan 2001 02:08:17 +0900

ecasound (1.8.5d15-6) unstable; urgency=low

  * Add depends from python-ecasound to python-base because the
    install script requires compileall.py to be existant.
  * Change the section of ecasound-python to interpreters as per
    ftpadmin.
  * ecasound is in the debian archive, should have closed the ITP bug,
    and I'm doing it now, closes: #72971

 -- Junichi Uekawa <dancer@netfort.gr.jp>  Sat, 20 Jan 2001 00:42:06 +0900

ecasound (1.8.5d15-5) unstable; urgency=low

  * Modified python-ecasound postinst to work with latest python1.5
  * Modified libecasoundc/Makefile.am to add "-L" to link libecasound
  * Modified libpyecasound/ to add libecasound
  * Modified debian/control to update descriptions of packages to be
    more appropriate, esp. python-ecasound.

 -- Junichi Uekawa <dancer@netfort.gr.jp>  Mon, 25 Dec 2000 01:56:24 +0900

ecasound (1.8.5d15-4) unstable; urgency=low

  * Added suggests mp3-encoder/decoder
  * Added build-depends python-dev
  * Catman pages are now manpages.
  * Created python-ecasound package
  * fixed pyecasound/libpyecasound.la to include ecasound into depends.

 -- Junichi Uekawa <dancer@netfort.gr.jp>  Tue, 19 Dec 2000 01:45:26 +0900

ecasound (1.8.5d15-3) unstable; urgency=low

  * rebuilt.

 -- Junichi Uekawa <dancer@netfort.gr.jp>  Sat, 16 Dec 2000 01:31:53 +0900

ecasound (1.8.5d15-2) unstable; urgency=low

  * removed ecasound-plugin package and reintegrated into libecasound7
  * It should work with libecasound7 suggesting audio dependencies.

 -- Junichi Uekawa <dancer@netfort.gr.jp>  Thu, 14 Dec 2000 18:19:21 +0900

ecasound (1.8.5d15-1) unstable; urgency=low

  * Moved documentation files around so that html links work for
    users_guide, and programmers_guide. They are now in libecasound7
  * C-binding library files have been moved to libecasound{7,-dev}
  * Updated debian/shlibs.local to (>> 1.8.5d15)
  * python bindings are not quite checked yet.

 -- Junichi Uekawa <dancer@netfort.gr.jp>  Thu, 14 Dec 2000 16:15:40 +0900

ecasound (1.8.5d15-0) unstable; urgency=low

  * New upstream version. A quick-hack build.
  * (not uploaded to Debian)

 -- Junichi Uekawa <dancer@netfort.gr.jp>  Fri,  8 Dec 2000 03:26:53 +0900

ecasound (1.8.4d15-1) unstable; urgency=low

  * New upstream release
  * Moved out ecasound-plugin to be a separate package depended by the main
    package to go along with the design of rpm package version. ecasound-plugin
    can be a Suggests:.
  * Please note that configuration file .ecasoundrc has changed slightly,
    remember to delete the file from home directories, if you have had them
    installed.
  * To be uploaded to Debian (closes: Bug#72971)
  * Added support for doc-base.

 -- Junichi Uekawa <dancer@netfort.gr.jp>  Fri,  8 Dec 2000 03:26:36 +0900

ecasound (1.8.3d15-2) unstable; urgency=low

  * Changed control files to make libs files go to libs section, and dev
    files go into dev section.
  * Fixed menu files so that Debian menu entries get added.
  * (not uploaded to Debian)

 -- Junichi Uekawa <dancer@netfort.gr.jp>  Tue, 24 Oct 2000 22:07:53 +0900

ecasound (1.8.3d15-1) unstable; urgency=low

  * Initial packaging attempt, ported to the current development version
  required for ecawave
  * please note that plugins directory is moved to
  /usr/lib/libecasound7/ecasound-plugins
  * (not uploaded to Debian)

 -- Junichi Uekawa <dancer@netfort.gr.jp>  Thu,  5 Oct 2000 20:51:37 +0900

ecasound (1.8.2r14-1) unstable; urgency=low

  * Initial packaging attempt
  * (not uploaded to Debian)

 -- Junichi Uekawa <dancer@netfort.gr.jp>  Sun,  1 Oct 2000 23:50:02 +0900
